# ApplicationFramework
TKCDF
CDM

# CDM_ListOfDocument Class Reference

`#include <CDM_ListOfDocument.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_ListOfDocument ()
Standard_EXPORT void | Assign (const CDM_ListOfDocument &Other)
void | operator= (const CDM_ListOfDocument &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~CDM_ListOfDocument ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(CDM_Document)&I)
Standard_EXPORT void | Prepend (const Handle(CDM_Document)&I, CDM_ListIteratorOfListOfDocument &theIt)
Standard_EXPORT void | Prepend (CDM_ListOfDocument &Other)
Standard_EXPORT void | Append (const Handle(CDM_Document)&I)
Standard_EXPORT void | Append (const Handle(CDM_Document)&I, CDM_ListIteratorOfListOfDocument &theIt)
Standard_EXPORT void | Append (CDM_ListOfDocument &Other)
Standard_EXPORT Handle_CDM_Document & | First () const
Standard_EXPORT Handle_CDM_Document & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (CDM_ListIteratorOfListOfDocument &It)
Standard_EXPORT void | InsertBefore (const Handle(CDM_Document)&I, CDM_ListIteratorOfListOfDocument &It)
Standard_EXPORT void | InsertBefore (CDM_ListOfDocument &Other, CDM_ListIteratorOfListOfDocument &It)
Standard_EXPORT void | InsertAfter (const Handle(CDM_Document)&I, CDM_ListIteratorOfListOfDocument &It)
Standard_EXPORT void | InsertAfter (CDM_ListOfDocument &Other, CDM_ListIteratorOfListOfDocument &It)

## Private Member Functions

Standard_EXPORT | CDM_ListOfDocument (const CDM_ListOfDocument &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT CDM_ListOfDocument::CDM_ListOfDocument | ( |  | ) |

CDM_ListOfDocument::~CDM_ListOfDocument | ( |  | ) | `[inline]`

Standard_EXPORT CDM_ListOfDocument::CDM_ListOfDocument | ( | const CDM_ListOfDocument & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void CDM_ListOfDocument::Append | ( | CDM_ListOfDocument & | Other | ) |

Standard_EXPORT void CDM_ListOfDocument::Append | ( | const Handle(CDM_Document)& | I,
|  | CDM_ListIteratorOfListOfDocument & | theIt
| ) |

Standard_EXPORT void CDM_ListOfDocument::Append | ( | const Handle(CDM_Document)& | I | ) |

Standard_EXPORT void CDM_ListOfDocument::Assign | ( | const CDM_ListOfDocument & | Other | ) |

Standard_EXPORT void CDM_ListOfDocument::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer CDM_ListOfDocument::Extent | ( |  | ) | const

Standard_EXPORT Handle_CDM_Document& CDM_ListOfDocument::First | ( |  | ) | const

Standard_EXPORT void CDM_ListOfDocument::InsertAfter | ( | CDM_ListOfDocument & | Other,
|  | CDM_ListIteratorOfListOfDocument & | It
| ) |

Standard_EXPORT void CDM_ListOfDocument::InsertAfter | ( | const Handle(CDM_Document)& | I,
|  | CDM_ListIteratorOfListOfDocument & | It
| ) |

Standard_EXPORT void CDM_ListOfDocument::InsertBefore | ( | CDM_ListOfDocument & | Other,
|  | CDM_ListIteratorOfListOfDocument & | It
| ) |

Standard_EXPORT void CDM_ListOfDocument::InsertBefore | ( | const Handle(CDM_Document)& | I,
|  | CDM_ListIteratorOfListOfDocument & | It
| ) |

Standard_Boolean CDM_ListOfDocument::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_CDM_Document& CDM_ListOfDocument::Last | ( |  | ) | const

void CDM_ListOfDocument::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_ListOfDocument::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_ListOfDocument::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void CDM_ListOfDocument::operator= | ( | const CDM_ListOfDocument & | Other | ) | `[inline]`

Standard_EXPORT void CDM_ListOfDocument::Prepend | ( | CDM_ListOfDocument & | Other | ) |

Standard_EXPORT void CDM_ListOfDocument::Prepend | ( | const Handle(CDM_Document)& | I,
|  | CDM_ListIteratorOfListOfDocument & | theIt
| ) |

Standard_EXPORT void CDM_ListOfDocument::Prepend | ( | const Handle(CDM_Document)& | I | ) |

Standard_EXPORT void CDM_ListOfDocument::Remove | ( | CDM_ListIteratorOfListOfDocument & | It | ) |

Standard_EXPORT void CDM_ListOfDocument::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address CDM_ListOfDocument::myFirst `[private]`

Standard_Address CDM_ListOfDocument::myLast `[private]`

The documentation for this class was generated from the following file:

- CDM_ListOfDocument.hxx